Bug 12453 - Backport RID and linked attribute changes for 4.5 (which both break dbcheck)
Backport RID and linked attribute changes for 4.5 (which both break dbcheck)
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: AD: LDB/DSDB/SAMDB
4.5.0
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks: 12297 12385 9954 12398
  Show dependency treegraph
 
Reported: 2016-11-29 02:05 UTC by Garming Sam
Modified: 2016-12-01 10:18 UTC (History)
2 users (show)

See Also:


Attachments
patches for 4.5 (161.54 KB, patch)
2016-11-29 02:07 UTC, Garming Sam
abartlet: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Garming Sam 2016-11-29 02:05:46 UTC
This set of changes backports fixes to tombstones expunge, dbcheck, improved python errors and rid allocation (which depend on one another).
Comment 1 Garming Sam 2016-11-29 02:07:17 UTC
Created attachment 12700 [details]
patches for 4.5
Comment 2 Andrew Bartlett 2016-11-29 02:18:33 UTC
Comment on attachment 12700 [details]
patches for 4.5

Note this doesn't fix 12398, just contains one of the patches that will eventually need.
Comment 3 Karolin Seeger 2016-11-30 08:33:07 UTC
Pushed to autobuild-v4-5-test.
Comment 4 Karolin Seeger 2016-12-01 10:18:18 UTC
(In reply to Karolin Seeger from comment #3)
Pushed to v4-5-test.
Closing out bug report.

Thanks!